textures/1anebu/tp_purple
{
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	///deformVertexes wave 64 sin .5 .5 0 .5	

	{
		map textures/1anebu/tp_purple.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll 0.15 0
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity	
	}
}

textures/1anebu/endtext
{
	surfaceparm noDamage
	nopicmip 
   	{
 		clampmap textures/1anebu/endtext.tga
		blendFunc blend
	}
}

textures/1anebu/lightsource
{
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans .5
	surfaceparm trans
	q3map_surfacelight 300
	q3map_lightSubdivide 512
	{
		map textures/1anebu/lightsource.jpg
		blendfunc add
		rgbgen const ( 0.0 0.0 0.0 )
	}
}

textures/1anebu/lightsource150
{
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans .5
	surfaceparm trans
	q3map_surfacelight 150
	q3map_lightSubdivide 512
	{
		map textures/1anebu/lightsource150.jpg
		blendfunc add
		rgbgen const ( 0.0 0.0 0.0 )
	}
}


textures/1anebu/nebuglass
{
	qer_trans .5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull twosided
	{
		map textures/1anebu/nebuglass.tga
		blendFunc blend
		alphaGen const 0.05
	}
	
	{
		map textures/1anebu/nebuef.tga
		tcmod scale .5 .5
		tcgen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.10
	}


	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/1anebu/r_metal_icefloorslick
{
	qer_trans .5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull twosided
	{
		map textures/1anebu/r_metal_icefloorslick.tga
		blendFunc blend
		alphaGen const 0.1
	}
	
	{
		map textures/1anebu/nebuef.tga
		tcmod scale .5 .5
		tcgen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.60
	}


	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/1anebu/r_metal_black_bumb
{
	surfaceparm nodamage
	{
	 map $lightmap
	rgbGen identity
	}
	{
	map textures/1anebu/r_metal_black_bumb.tga
	blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/1anebu/r_metal_red
{
	surfaceparm nodamage
	{
	 map $lightmap
	rgbGen identity
	}
	{
	map textures/1anebu/r_metal_red.tga
	blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/1anebu/r_metal_green
{
	surfaceparm nodamage
	{
	 map $lightmap
	rgbGen identity
	}
	{
	map textures/1anebu/r_metal_green.tga
	blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/1anebu/r_metal_light
{
	surfaceparm nodamage
	{
	 map $lightmap
	rgbGen identity
	}
	{
	map textures/1anebu/r_metal_light.tga
	blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/1anebu/r_metal_purple
{
	surfaceparm nodamage
	{
	 map $lightmap
	rgbGen identity
	}
	{
	map textures/1anebu/r_metal_purple.tga
	blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/1anebu/r_metal_icefloor
{
	surfaceparm nodamage
	{
	 map $lightmap
	rgbGen identity
	}
	{
	map textures/1anebu/r_metal_icefloor.tga
	blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/1anebu/r_metal_ice
{
	surfaceparm nodamage
	{
	 map $lightmap
	rgbGen identity
	}
	{
	map textures/1anebu/r_metal_ice.tga
	blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/1anebu/stormysky
{
	qer_editorimage textures/1anebu/stormysky.jpg
	q3map_surfacelight 50
	q3map_lightSubdivide 4086
	///q3map_sun 30 30 40 40 40 30
	surfaceparm noimpact
	surfaceparm slick
	surfaceparm nolightmap
	surfaceparm nomarks
	skyParms env/1anebu/whitej 1200 -
	{
		map textures/1anebu/circlegradlightningblur2.jpg
		blendfunc add
		rgbGen wave noise 0 1 0 10 
		tcMod scale 0.32 0.32
		tcMod rotate -20
	}
	{
		map textures/1anebu/stormysky.jpg
		blendfunc filter
		tcMod scroll 0.05 0.06
	}
}

textures/1anebu/stormyskyice
{
	qer_editorimage textures/1anebu/stormyskyice.jpg
	q3map_surfacelight 100
	q3map_lightSubdivide 4086
	q3map_sun 30 30 40 40 40 30
	surfaceparm noimpact
	surfaceparm slick
	surfaceparm nolightmap
	surfaceparm nomarks
	skyParms env/1anebu/whitej 1200 -
	{
		map textures/1anebu/circlegradlightningblur2.jpg
		blendfunc add
		rgbGen wave noise 0 1 0 10 
		tcMod scale 0.32 0.32
		tcMod rotate -20
	}
	{
		map textures/1anebu/stormyskyice.jpg
		blendfunc filter
		tcMod scroll 0.05 0.06
	}
}

textures/1anebu/stormysky_nolight
{
	qer_editorimage textures/1anebu/stormysky_nolight.jpg
	surfaceparm noimpact
	surfaceparm slick
	surfaceparm nolightmap
	surfaceparm nomarks
	skyParms env/1anebu/purewhitej 1200 -
	{
		map textures/1anebu/circlegradlightningblur2.jpg
		blendfunc add
		rgbGen wave noise 0 1 0 10 
		tcMod scale 0.32 0.32
		tcMod rotate -20
	}
	{
		map textures/1anebu/stormysky.jpg
		blendfunc filter
		tcMod scroll 0.05 0.06
	}
}

textures/1anebu/r_metal_black
{
	qer_editorimage textures/1anebu/r_metal_blackqer.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
	 map $lightmap
	 rgbGen identity
	}
	{
	 map textures/1anebu/r_metal_black.jpg
	 blendFunc blend
	}
	{
 	map textures/1anebu/metal_effect.tga
	blendfunc blend
	tcGen environment
	}
}
